%define name		tofu
%define oname		Tofu
%define version		0.5
%define pyversion	2.5
%define pysystemver	2.5
%define release		%mkrel 2

Summary:	Tofu is a network game engine written with python and twisted
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{oname}-%{version}.tar.bz2
License:	LGPL
Group:		Development/Python
URL:		http://pyserial.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libpython-devel >= %pyversion
BuildArch:	noarch
Requires:	python, python-twisted-core

%description
Tofu is a practical high-level network game engine, written in Python and 
based on Twisted.

Tofu is designed for games where players play one or several characters 
accross several levels. This includes jump'n run games, RPG or RTS, but not 
Tetris-like games or board game (chess, go,...).

It currently support client-server and single player mode; peer-to-peer mode 
may be added later.

Tofu is Free Software, under the GNU LGPL license.

%prep
%setup -q -n %{oname}-%{version}

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root %{buildroot}


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README demo/*
%attr(0755,root,root) %{_libdir}/python%{pysystemver}/site-packages/*


%changelog
* Sat Dec 09 2006 Emmanuel Andry <eandry@mandriva.org> 0.5-2mdv2007.0
+ Revision: 94090
- rebuild for python 2.5
- Import tofu



* Sat Jun 17 2006 Emmanuel Andry <eandry@mandriva.org> 0.3-%mkrel
- 0.5

* Sun Sep 11 2005 Guillaume Bedot <ilittletux@mandriva.org> 0.2-1mdk
- First package for tofu (needed for balazar 0.2)
